Name: powertweak
Version: 0.99.5
Release: alt1

Summary: Powertweak - tune system to optimal performance
License: GPL
Group: System/Configuration/Hardware

Url: http://powertweak.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: %name.init

BuildPreReq: pciutils kernel-headers-std
ExclusiveArch: %ix86

# Automatically added by buildreq on Thu Sep 11 2003
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glib-devel glibc-devel-static gtk+-devel libgpm-devel libxml2-devel zlib-devel

Requires: lib%name = %version-%release

%description
Powertweak is a utility for tweaking your Linux system to peak performance.
It can tune many parts of your system. Tunes PCI devices to use optimal
settings. Enables performance enhancing features of the CPU(s).

%package -n lib%name
Summary: Shared libraries for powertweak
License: GPL
Group: System/Libraries

%package -n lib%name-devel
Summary: Development libraries and headers for powertweak
License: GPL
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Static libraries for powertweak
License: GPL
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name
These are needed for Powertweak to function

%description -n lib%name-devel
These are needed to develop applications using powertweak code

%description -n lib%name-devel-static
These are needed to statically link applications using powertweak code

%prep
%setup -q

%build
./configure --prefix=%_prefix --disable-rpath
%make_build

%install
%make DESTDIR=%buildroot install

%__cat > %name.menu << __EOF__
?package(%name):\
command="%_bindir/gpowertweak"\
title="Powertweak"\
longtitle="System tuner"\
needs="x11"\
icon="hardware_section.png"\
section="Configuration/Hardware"
__EOF__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m755 %SOURCE1 %buildroot%_initdir/powertweakd

%post
%post_service powertweakd
%update_menus

%preun
%preun_service powertweakd

%postun
%clean_menus

%files
%doc Documentation AUTHORS ChangeLog NEWS README
%_bindir/*
%_sbindir/*
%_initdir/*
%_datadir/%name
%config(noreplace) %_sysconfdir/%name
%_menudir/*

%files -n lib%name
%_libdir/%name/

%files -n lib%name-devel
%_libdir/%name/plugins/*.la
%_libdir/%name/plugins/*.so

%files -n lib%name-devel-static
%_libdir/%name/plugins/*.a

# TODO:
# - separate server, client and gtk+ parts?
# - clean up spec (configure/make)
# - maybe datadir belongs to lib%name

%changelog
* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 0.99.5-alt1
- 0.99.5 (first attempt on Jul 14 2003 failed)
- patch1 unneeded
- spec update/cleanup
- libification
- add %%post_service/%%preun_service
- fix initscript name
- proper initscript, btw

* Sun Oct 20 2002 Michael Shigorin <mike@altlinux.ru> 0.99.4-alt1
- force compat-g++ use

* Thu May 09 2002 Michael Shigorin <mike@altlinux.ru> 0.99.4-alt0.4
- had to roll back from %configure to plain ./configure --prefix
  as the former mistranformed installed binary names

* Sat May 04 2002 Michael Shigorin <mike@altlinux.ru> 0.99.4-alt0.3
- built for ALT Linux
- spec cleanup (adapted from Cooker)
- patched to live with libxml2/libxml
